Package org.pentaho.reporting.libraries.resourceloader.loader.zip

# Class ZipEntryKey

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.loader.zip.ZipEntryKey

All Implemented Interfaces:
  `Serializable`

public class ZipEntryKey extends Object implements Serializable
An external zip key.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ZipEntryKey(ResourceData zipFile, String entryName)`
`ZipEntryKey(ResourceManager manager, File zipFile, String entryName)`
`ZipEntryKey(ResourceManager manager, String zipFile, String entryName)`
`ZipEntryKey(ResourceManager manager, URL zipFile, String entryName)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getEntryName()`
`ResourceData`
`getZipFile()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZipEntryKey

public ZipEntryKey(ResourceData zipFile, String entryName)

### ZipEntryKey

public ZipEntryKey(ResourceManager manager, String zipFile, String entryName) throws ResourceKeyCreationException, ResourceLoadingException

Throws:
  `ResourceKeyCreationException`
  `ResourceLoadingException`

### ZipEntryKey

public ZipEntryKey(ResourceManager manager, URL zipFile, String entryName) throws ResourceKeyCreationException, ResourceLoadingException

Throws:
  `ResourceKeyCreationException`
  `ResourceLoadingException`

### ZipEntryKey

public ZipEntryKey(ResourceManager manager, File zipFile, String entryName) throws ResourceKeyCreationException, ResourceLoadingException

Throws:
  `ResourceKeyCreationException`
  `ResourceLoadingException`

## Method Details

### getZipFile

public ResourceData getZipFile()

### getEntryName

public String getEntryName()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`